package com.ruoyi.post.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * @Author HuiANan
 * @Date 2023/1/17 20:39
 * @Exegesis:
 */
public class PostNews extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 消息ID
     */
    private Integer newsId;

    /**
     * 消息标题
     */
    @Excel(name = "消息标题")
    private String newsTitle;

    /**
     * 消息内容
     */
    @Excel(name = "消息内容")
    private String newsContent;

    /**
     * 消息状态（0正常 1关闭）
     */
    @Excel(name = "消息状态", readConverterExp = "0=正常,1=关闭")
    private String status;

    /**
     * 发行方ID
     */
    @Excel(name = "发行方ID")
    private Integer publisherId;

    /**
     * 发行方名称
     */
    @Excel(name = "发行方名称")
    private String publisherBy;

    /**
     * 用户ID
     */
    @Excel(name = "用户ID")
    private Integer userId;


    /**
     * 用户电话
     */
    @Excel(name = "用户电话")
    private String userPhone;

    public void setNewsId(Integer newsId) {
        this.newsId = newsId;
    }

    public Integer getUserId() {
        return userId;
    }

    public String getUserPhone() {
        return userPhone;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public Integer getNewsId() {
        return newsId;
    }

    public void setNewsTitle(String newsTitle) {
        this.newsTitle = newsTitle;
    }

    public String getNewsTitle() {
        return newsTitle;
    }

    public void setNewsContent(String newsContent) {
        this.newsContent = newsContent;
    }

    public String getNewsContent() {
        return newsContent;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return status;
    }

    public void setPublisherId(Integer publisherId) {
        this.publisherId = publisherId;
    }

    public Integer getPublisherId() {
        return publisherId;
    }

    public void setPublisherBy(String publisherBy) {
        this.publisherBy = publisherBy;
    }

    public String getPublisherBy() {
        return publisherBy;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("newsId", getNewsId())
                .append("newsTitle", getNewsTitle())
                .append("newsContent", getNewsContent())
                .append("status", getStatus())
                .append("publisherId", getPublisherId())
                .append("publisherBy", getPublisherBy())
                .append("userId", getUserId())
                .append("userPhone", getUserPhone())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}